Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.extension
Interface IStyleDeclaration

All Superinterfaces:
  org.eclipse.birt.report.model.elements.interfaces.IStyleModel

    public interface IStyleDeclaration

extends org.eclipse.birt.report.model.elements.interfaces.IStyleModel

Interface to traverse all the style property values.

Field Summary

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IStyleModel
`BACKGROUND_ATTACHMENT_PROP, BACKGROUND_COLOR_PROP, BACKGROUND_IMAGE_PROP, BACKGROUND_IMAGE_TYPE_PROP, BACKGROUND_POSITION_X_PROP, BACKGROUND_POSITION_Y_PROP, BACKGROUND_REPEAT_PROP, BACKGROUND_SIZE_HEIGHT, BACKGROUND_SIZE_WIDTH, BORDER_BOTTOM_COLOR_PROP, BORDER_BOTTOM_STYLE_PROP, BORDER_BOTTOM_WIDTH_PROP, BORDER_LEFT_COLOR_PROP, BORDER_LEFT_STYLE_PROP, BORDER_LEFT_WIDTH_PROP, BORDER_RIGHT_COLOR_PROP, BORDER_RIGHT_STYLE_PROP, BORDER_RIGHT_WIDTH_PROP, BORDER_TOP_COLOR_PROP, BORDER_TOP_STYLE_PROP, BORDER_TOP_WIDTH_PROP, CAN_SHRINK_PROP, COLOR_PROP, DATE_FORMAT_PROP, DATE_TIME_FORMAT_PROP, DISPLAY_PROP, FONT_FAMILY_PROP, FONT_SIZE_PROP, FONT_STYLE_PROP, FONT_VARIANT_PROP, FONT_WEIGHT_PROP, HIGHLIGHT_RULES_PROP, LETTER_SPACING_PROP, LINE_HEIGHT_PROP, MAP_RULES_PROP, MARGIN_BOTTOM_PROP, MARGIN_LEFT_PROP, MARGIN_RIGHT_PROP, MARGIN_TOP_PROP, MASTER_PAGE_PROP, NUMBER_ALIGN_PROP, NUMBER_FORMAT_PROP, ORPHANS_PROP, PADDING_BOTTOM_PROP, PADDING_LEFT_PROP, PADDING_RIGHT_PROP, PADDING_TOP_PROP, PAGE_BREAK_AFTER_PROP, PAGE_BREAK_BEFORE_PROP, PAGE_BREAK_INSIDE_PROP, SHOW_IF_BLANK_PROP, STRING_FORMAT_PROP, TEXT_ALIGN_PROP, TEXT_DIRECTION_PROP, TEXT_INDENT_PROP, TEXT_LINE_THROUGH_PROP, TEXT_OVERLINE_PROP, TEXT_TRANSFORM_PROP, TEXT_UNDERLINE_PROP, TIME_FORMAT_PROP, VERTICAL_ALIGN_PROP, WHITE_SPACE_PROP, WIDOWS_PROP, WORD_SPACING_PROP`

Method Summary
`java.lang.String` | `getName()` Gets the name which this style is defined for.
`java.lang.Object` | `getProperty(java.lang.String name)` Gets the value of the specified style property.

Method Detail

### getProperty

    java.lang.Object getProperty(java.lang.String name)

  Gets the value of the specified style property.

  Parameters:
    `name` - name of the style property, it should be one that defined in `IStyleModel`
  Returns:
    the property value.

### getName

    java.lang.String getName()

  Gets the name which this style is defined for. The default stype is defined for a certain extension element. For instance, if the style is defined for MyExtensionElement, then the name returned is "MyExtensionElement".

  Returns:
    the name of this default style.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.